Description

It is sometimes helpful to query recently changed projects, for example to look for changes in a project's custom field and update
external applications accordingly.

This patch adds the "updated_on" attribute to the list of available columns and filters in issue queries. We understand that "updated”
for a project might lead to confusion because it could also be understood as "something in the project has changed" and not just "the
project itself was changed". The addition of the "last activity" in #23954 should help understand the difference between the 2 values

though.

Associated revisions

Revision 22899 - 2024-06-27 06:46 - Go MAEDA

Expose project updated_on column and filter in project query (#40829).

Patch by Felix Schafer (@felix).

History

#1 - 2024-06-12 10:31 - Felix Schéfer
- File 40829.patch added

The attached patch provides an updated_on column and filter.

#2 - 2024-06-12 11:07 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2024-06-21 03:54 - Go MAEDA
- File 40829-v2.patch added
- File clipboard-202406211046-95bl1.png added

| made a slight fix to the patch (QueryColumn.new(:created_on, ... should be QueryColumn.new(:updated_on, ...)
We understand that "updated" for a project might lead to confusion because it could also be understood as "something in the project has
changed" and not just "the project itself was changed".
To avoid this confusion, we can add a "Last activity" filter, which is currently not implemented in #23954. At present, we can only see "Created" and
"Updated" in the "Date" group of the dropdown.

With the patch applied, the "Date" group in the filter dropdown only contains "Created" and "Updated". Without "Last activity", users might get
confused.
https://www.redmine.org/issues/23954
https://www.redmine.org/issues/23954

clipboard-202406211046-95bl1.png

#4 - 2024-06-25 13:42 - Felix Schafer
Go MAEDA wrote in #note-3:

I made a slight fix to the patch (QueryColumn.new(:created_on, ... should be QueryColumn.new(:updated_on, ...)

Thank you for the correction, | am sorry for the error.
To avoid this confusion, we can add a "Last activity" filter, which is currently not implemented in #23954. At present, we can only see "Created"

and "Updated" in the "Date" group of the dropdown.

With the patch applied, the "Date" group in the filter dropdown only contains "Created" and "Updated". Without "Last activity", users might get

confused.

The patch in #23954 adds the column and not the filter, this is correct. | think having the Last Activity column would already be helpful to understand
which words/entry means which changes. It would be best to also have a Last Activity filter, but | think it would already be helpful to have the Last
Activity column and the Updated column and filter even if the Last Activity filter is not there already. Should this really prove challenging for users we

can maybe think about a different wording then?

#5 - 2024-06-25 20:59 - Marius BALTEANU
- Assignee set to Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

#6 - 2024-06-27 06:47 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed

Committed the patch in r22899.

Thank you for your contribution and feedback.

Files

40829.patch 1.01 KB 2024-06-12 Felix Schafer

40829-v2.patch 1.01 KB 2024-06-21 Go MAEDA

clipboard-202406211046-95bl1.png 104 KB 2024-06-21 Go MAEDA
